org.jboss.jca.adapters.jdbc.util

## Class LRUCache.LRUCacheEntry<K,V>

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.util.LRUCache.LRUCacheEntry<K,V>

- Enclosing class:
    LRUCache<K,V>

      public class LRUCache.LRUCacheEntry<K,V>
      extends java.lang.Object

  Double linked cell used as entry in the cache list.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LRUCacheEntry(K key, V value)` Creates a new double linked cell, storing the object we want to cache and the key that is used to retrieve it.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `K` | `getKey()` Get key
    `V` | `getValue()` Get value
    `void` | `reset()` Reset
    `void` | `setNext(LRUCache.LRUCacheEntry<K,V> v)` Set next
    `void` | `setPrev(LRUCache.LRUCacheEntry<K,V> v)` Set prev
    `java.lang.String` | `toString()`
    `void` | `updateTimestamp()` Update timestamp

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LRUCacheEntry

          protected LRUCacheEntry(K key,
                                  V value)

      Creates a new double linked cell, storing the object we want to cache and the key that is used to retrieve it.
      Parameters:
        `key` - The key
        `value` - The value

  - ### Method Detail

    - #### getKey

          public K getKey()

      Get key
      Returns:
        The value

    - #### getValue

          public V getValue()

      Get value
      Returns:
        The value

    - #### setNext

          public void setNext(LRUCache.LRUCacheEntry<K,V> v)

      Set next
      Parameters:
        `v` - The value

    - #### setPrev

          public void setPrev(LRUCache.LRUCacheEntry<K,V> v)

      Set prev
      Parameters:
        `v` - The value

    - #### updateTimestamp

          public void updateTimestamp()

      Update timestamp

    - #### reset

          public void reset()

      Reset

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)